# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorStylesPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorStylesPage(object):
    def setupUi(self, EditorStylesPage):
        EditorStylesPage.setObjectName("EditorStylesPage")
        EditorStylesPage.resize(578, 3473)
        self.verticalLayout_13 = QtWidgets.QVBoxLayout(EditorStylesPage)
        self.verticalLayout_13.setObjectName("verticalLayout_13")
        self.headerLabel = QtWidgets.QLabel(parent=EditorStylesPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_13.addWidget(self.headerLabel)
        self.line3 = QtWidgets.QFrame(parent=EditorStylesPage)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setObjectName("line3")
        self.verticalLayout_13.addWidget(self.line3)
        self.label_3 = QtWidgets.QLabel(parent=EditorStylesPage)
        self.label_3.setWordWrap(True)
        self.label_3.setObjectName("label_3")
        self.verticalLayout_13.addWidget(self.label_3)
        self.colorsGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.colorsGroup.setObjectName("colorsGroup")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.colorsGroup)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.editAreaOverrideCheckBox = QtWidgets.QGroupBox(parent=self.colorsGroup)
        self.editAreaOverrideCheckBox.setCheckable(True)
        self.editAreaOverrideCheckBox.setChecked(False)
        self.editAreaOverrideCheckBox.setObjectName("editAreaOverrideCheckBox")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.editAreaOverrideCheckBox)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.TextLabel2_2_2_2_2_12 = QtWidgets.QLabel(parent=self.editAreaOverrideCheckBox)
        self.TextLabel2_2_2_2_2_12.setObjectName("TextLabel2_2_2_2_2_12")
        self.gridLayout_6.addWidget(self.TextLabel2_2_2_2_2_12, 0, 0, 1, 1)
        self.editAreaForegroundButton = QtWidgets.QPushButton(parent=self.editAreaOverrideCheckBox)
        self.editAreaForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.editAreaForegroundButton.setText("")
        self.editAreaForegroundButton.setObjectName("editAreaForegroundButton")
        self.gridLayout_6.addWidget(self.editAreaForegroundButton, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(263, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_6.addItem(spacerItem, 0, 2, 1, 1)
        self.TextLabel2_2_2_2_2_11 = QtWidgets.QLabel(parent=self.editAreaOverrideCheckBox)
        self.TextLabel2_2_2_2_2_11.setObjectName("TextLabel2_2_2_2_2_11")
        self.gridLayout_6.addWidget(self.TextLabel2_2_2_2_2_11, 1, 0, 1, 1)
        self.editAreaBackgroundButton = QtWidgets.QPushButton(parent=self.editAreaOverrideCheckBox)
        self.editAreaBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.editAreaBackgroundButton.setText("")
        self.editAreaBackgroundButton.setObjectName("editAreaBackgroundButton")
        self.gridLayout_6.addWidget(self.editAreaBackgroundButton, 1, 1, 1, 1)
        self.verticalLayout_10.addWidget(self.editAreaOverrideCheckBox)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.label_20 = QtWidgets.QLabel(parent=self.colorsGroup)
        self.label_20.setObjectName("label_20")
        self.horizontalLayout_8.addWidget(self.label_20)
        self.highlightingBackgroundButton = QtWidgets.QPushButton(parent=self.colorsGroup)
        self.highlightingBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.highlightingBackgroundButton.setText("")
        self.highlightingBackgroundButton.setObjectName("highlightingBackgroundButton")
        self.horizontalLayout_8.addWidget(self.highlightingBackgroundButton)
        spacerItem1 = QtWidgets.QSpacerItem(347, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem1)
        self.verticalLayout_10.addLayout(self.horizontalLayout_8)
        self.verticalLayout_13.addWidget(self.colorsGroup)
        self.fontsGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.fontsGroup.setObjectName("fontsGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.fontsGroup)
        self.gridlayout.setObjectName("gridlayout")
        self.defaultFontSample = QtWidgets.QLineEdit(parent=self.fontsGroup)
        self.defaultFontSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.defaultFontSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.defaultFontSample.setReadOnly(True)
        self.defaultFontSample.setObjectName("defaultFontSample")
        self.gridlayout.addWidget(self.defaultFontSample, 0, 1, 1, 1)
        self.defaultFontButton = QtWidgets.QPushButton(parent=self.fontsGroup)
        self.defaultFontButton.setObjectName("defaultFontButton")
        self.gridlayout.addWidget(self.defaultFontButton, 0, 0, 1, 1)
        self.monospacedFontButton = QtWidgets.QPushButton(parent=self.fontsGroup)
        self.monospacedFontButton.setObjectName("monospacedFontButton")
        self.gridlayout.addWidget(self.monospacedFontButton, 1, 0, 1, 1)
        self.monospacedFontSample = QtWidgets.QLineEdit(parent=self.fontsGroup)
        self.monospacedFontSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.monospacedFontSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.monospacedFontSample.setReadOnly(True)
        self.monospacedFontSample.setObjectName("monospacedFontSample")
        self.gridlayout.addWidget(self.monospacedFontSample, 1, 1, 1, 1)
        self.monospacedCheckBox = QtWidgets.QCheckBox(parent=self.fontsGroup)
        self.monospacedCheckBox.setObjectName("monospacedCheckBox")
        self.gridlayout.addWidget(self.monospacedCheckBox, 2, 0, 1, 2)
        self.verticalLayout_13.addWidget(self.fontsGroup)
        self.marginsGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.marginsGroup.setObjectName("marginsGroup")
        self.verticalLayout_12 = QtWidgets.QVBoxLayout(self.marginsGroup)
        self.verticalLayout_12.setObjectName("verticalLayout_12")
        self.marginsGeneralGroup = QtWidgets.QGroupBox(parent=self.marginsGroup)
        self.marginsGeneralGroup.setObjectName("marginsGeneralGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.marginsGeneralGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.TextLabel2_2_2_2_2_6 = QtWidgets.QLabel(parent=self.marginsGeneralGroup)
        self.TextLabel2_2_2_2_2_6.setObjectName("TextLabel2_2_2_2_2_6")
        self.gridLayout.addWidget(self.TextLabel2_2_2_2_2_6, 0, 0, 1, 1)
        self.marginsForegroundButton = QtWidgets.QPushButton(parent=self.marginsGeneralGroup)
        self.marginsForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.marginsForegroundButton.setText("")
        self.marginsForegroundButton.setObjectName("marginsForegroundButton")
        self.gridLayout.addWidget(self.marginsForegroundButton, 0, 1, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(266, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem2, 0, 2, 1, 1)
        self.TextLabel2_2_2_2_2_7 = QtWidgets.QLabel(parent=self.marginsGeneralGroup)
        self.TextLabel2_2_2_2_2_7.setObjectName("TextLabel2_2_2_2_2_7")
        self.gridLayout.addWidget(self.TextLabel2_2_2_2_2_7, 1, 0, 1, 1)
        self.marginsBackgroundButton = QtWidgets.QPushButton(parent=self.marginsGeneralGroup)
        self.marginsBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.marginsBackgroundButton.setText("")
        self.marginsBackgroundButton.setObjectName("marginsBackgroundButton")
        self.gridLayout.addWidget(self.marginsBackgroundButton, 1, 1, 1, 1)
        self.verticalLayout_12.addWidget(self.marginsGeneralGroup)
        self.lineNumbersGroup = QtWidgets.QGroupBox(parent=self.marginsGroup)
        self.lineNumbersGroup.setObjectName("lineNumbersGroup")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.lineNumbersGroup)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.linenoCheckBox = QtWidgets.QCheckBox(parent=self.lineNumbersGroup)
        self.linenoCheckBox.setObjectName("linenoCheckBox")
        self.verticalLayout_5.addWidget(self.linenoCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.linenumbersFontButton = QtWidgets.QPushButton(parent=self.lineNumbersGroup)
        self.linenumbersFontButton.setObjectName("linenumbersFontButton")
        self.horizontalLayout.addWidget(self.linenumbersFontButton)
        self.marginsFontSample = QtWidgets.QLineEdit(parent=self.lineNumbersGroup)
        self.marginsFontSample.setMinimumSize(QtCore.QSize(200, 0))
        self.marginsFontSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.marginsFontSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.marginsFontSample.setReadOnly(True)
        self.marginsFontSample.setObjectName("marginsFontSample")
        self.horizontalLayout.addWidget(self.marginsFontSample)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem3)
        self.verticalLayout_5.addLayout(self.horizontalLayout)
        self.verticalLayout_12.addWidget(self.lineNumbersGroup)
        self.foldMarginGroup = QtWidgets.QGroupBox(parent=self.marginsGroup)
        self.foldMarginGroup.setObjectName("foldMarginGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.foldMarginGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.foldingCheckBox = QtWidgets.QCheckBox(parent=self.foldMarginGroup)
        self.foldingCheckBox.setObjectName("foldingCheckBox")
        self.verticalLayout.addWidget(self.foldingCheckBox)
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.TextLabel1_4_2_2 = QtWidgets.QLabel(parent=self.foldMarginGroup)
        self.TextLabel1_4_2_2.setObjectName("TextLabel1_4_2_2")
        self.hboxlayout.addWidget(self.TextLabel1_4_2_2)
        self.foldingStyleComboBox = QtWidgets.QComboBox(parent=self.foldMarginGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.foldingStyleComboBox.sizePolicy().hasHeightForWidth())
        self.foldingStyleComboBox.setSizePolicy(sizePolicy)
        self.foldingStyleComboBox.setObjectName("foldingStyleComboBox")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.foldingStyleComboBox.addItem("")
        self.hboxlayout.addWidget(self.foldingStyleComboBox)
        self.verticalLayout.addLayout(self.hboxlayout)
        self.gridLayout_16 = QtWidgets.QGridLayout()
        self.gridLayout_16.setObjectName("gridLayout_16")
        self.TextLabel2_2_2_2_2_8 = QtWidgets.QLabel(parent=self.foldMarginGroup)
        self.TextLabel2_2_2_2_2_8.setObjectName("TextLabel2_2_2_2_2_8")
        self.gridLayout_16.addWidget(self.TextLabel2_2_2_2_2_8, 0, 0, 1, 1)
        self.foldmarginBackgroundButton = QtWidgets.QPushButton(parent=self.foldMarginGroup)
        self.foldmarginBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.foldmarginBackgroundButton.setText("")
        self.foldmarginBackgroundButton.setObjectName("foldmarginBackgroundButton")
        self.gridLayout_16.addWidget(self.foldmarginBackgroundButton, 0, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_16.addItem(spacerItem4, 0, 2, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.foldMarginGroup)
        self.label.setObjectName("label")
        self.gridLayout_16.addWidget(self.label, 1, 0, 1, 1)
        self.foldmarkersForegroundButton = QtWidgets.QPushButton(parent=self.foldMarginGroup)
        self.foldmarkersForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.foldmarkersForegroundButton.setText("")
        self.foldmarkersForegroundButton.setObjectName("foldmarkersForegroundButton")
        self.gridLayout_16.addWidget(self.foldmarkersForegroundButton, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.foldMarginGroup)
        self.label_2.setObjectName("label_2")
        self.gridLayout_16.addWidget(self.label_2, 2, 0, 1, 1)
        self.foldmarkersBackgroundButton = QtWidgets.QPushButton(parent=self.foldMarginGroup)
        self.foldmarkersBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.foldmarkersBackgroundButton.setText("")
        self.foldmarkersBackgroundButton.setObjectName("foldmarkersBackgroundButton")
        self.gridLayout_16.addWidget(self.foldmarkersBackgroundButton, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_16)
        self.verticalLayout_12.addWidget(self.foldMarginGroup)
        self.verticalLayout_13.addWidget(self.marginsGroup)
        self.selectionGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.selectionGroup.setObjectName("selectionGroup")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.selectionGroup)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self._3 = QtWidgets.QGridLayout()
        self._3.setObjectName("_3")
        self.customSelColourCheckBox = QtWidgets.QCheckBox(parent=self.selectionGroup)
        self.customSelColourCheckBox.setObjectName("customSelColourCheckBox")
        self._3.addWidget(self.customSelColourCheckBox, 0, 0, 1, 1)
        self.colourizeSelTextCheckBox = QtWidgets.QCheckBox(parent=self.selectionGroup)
        self.colourizeSelTextCheckBox.setObjectName("colourizeSelTextCheckBox")
        self._3.addWidget(self.colourizeSelTextCheckBox, 0, 1, 1, 1)
        self.extentSelEolCheckBox = QtWidgets.QCheckBox(parent=self.selectionGroup)
        self.extentSelEolCheckBox.setObjectName("extentSelEolCheckBox")
        self._3.addWidget(self.extentSelEolCheckBox, 1, 0, 1, 1)
        self.verticalLayout_11.addLayout(self._3)
        self.gridLayout_12 = QtWidgets.QGridLayout()
        self.gridLayout_12.setObjectName("gridLayout_12")
        self.TextLabel2_2_2_2_2_4 = QtWidgets.QLabel(parent=self.selectionGroup)
        self.TextLabel2_2_2_2_2_4.setObjectName("TextLabel2_2_2_2_2_4")
        self.gridLayout_12.addWidget(self.TextLabel2_2_2_2_2_4, 0, 0, 1, 1)
        self.selectionForegroundButton = QtWidgets.QPushButton(parent=self.selectionGroup)
        self.selectionForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.selectionForegroundButton.setText("")
        self.selectionForegroundButton.setObjectName("selectionForegroundButton")
        self.gridLayout_12.addWidget(self.selectionForegroundButton, 0, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_12.addItem(spacerItem5, 0, 2, 1, 1)
        self.TextLabel2_2_2_2_2_5 = QtWidgets.QLabel(parent=self.selectionGroup)
        self.TextLabel2_2_2_2_2_5.setObjectName("TextLabel2_2_2_2_2_5")
        self.gridLayout_12.addWidget(self.TextLabel2_2_2_2_2_5, 1, 0, 1, 1)
        self.selectionBackgroundButton = QtWidgets.QPushButton(parent=self.selectionGroup)
        self.selectionBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.selectionBackgroundButton.setText("")
        self.selectionBackgroundButton.setObjectName("selectionBackgroundButton")
        self.gridLayout_12.addWidget(self.selectionBackgroundButton, 1, 1, 1, 1)
        self.verticalLayout_11.addLayout(self.gridLayout_12)
        self.verticalLayout_13.addWidget(self.selectionGroup)
        self.caretGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.caretGroup.setObjectName("caretGroup")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.caretGroup)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.caretGeneralGroup = QtWidgets.QGroupBox(parent=self.caretGroup)
        self.caretGeneralGroup.setObjectName("caretGeneralGroup")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.caretGeneralGroup)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.textLabel1_7 = QtWidgets.QLabel(parent=self.caretGeneralGroup)
        self.textLabel1_7.setObjectName("textLabel1_7")
        self.horizontalLayout_5.addWidget(self.textLabel1_7)
        self.caretWidthSpinBox = QtWidgets.QSpinBox(parent=self.caretGeneralGroup)
        self.caretWidthSpinBox.setMinimum(1)
        self.caretWidthSpinBox.setMaximum(3)
        self.caretWidthSpinBox.setObjectName("caretWidthSpinBox")
        self.horizontalLayout_5.addWidget(self.caretWidthSpinBox)
        self.TextLabel2_2_2_2_2_2 = QtWidgets.QLabel(parent=self.caretGeneralGroup)
        self.TextLabel2_2_2_2_2_2.setObjectName("TextLabel2_2_2_2_2_2")
        self.horizontalLayout_5.addWidget(self.TextLabel2_2_2_2_2_2)
        self.caretForegroundButton = QtWidgets.QPushButton(parent=self.caretGeneralGroup)
        self.caretForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.caretForegroundButton.setText("")
        self.caretForegroundButton.setObjectName("caretForegroundButton")
        self.horizontalLayout_5.addWidget(self.caretForegroundButton)
        spacerItem6 = QtWidgets.QSpacerItem(347, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem6)
        self.verticalLayout_9.addWidget(self.caretGeneralGroup)
        self.caretLineGroup = QtWidgets.QGroupBox(parent=self.caretGroup)
        self.caretLineGroup.setObjectName("caretLineGroup")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.caretLineGroup)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.caretlineVisibleCheckBox = QtWidgets.QCheckBox(parent=self.caretLineGroup)
        self.caretlineVisibleCheckBox.setObjectName("caretlineVisibleCheckBox")
        self.horizontalLayout_4.addWidget(self.caretlineVisibleCheckBox)
        self.caretlineAlwaysVisibleCheckBox = QtWidgets.QCheckBox(parent=self.caretLineGroup)
        self.caretlineAlwaysVisibleCheckBox.setObjectName("caretlineAlwaysVisibleCheckBox")
        self.horizontalLayout_4.addWidget(self.caretlineAlwaysVisibleCheckBox)
        spacerItem7 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem7)
        self.verticalLayout_6.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.label_19 = QtWidgets.QLabel(parent=self.caretLineGroup)
        self.label_19.setObjectName("label_19")
        self.horizontalLayout_6.addWidget(self.label_19)
        self.caretlineFrameWidthSpinBox = QtWidgets.QSpinBox(parent=self.caretLineGroup)
        self.caretlineFrameWidthSpinBox.setMinimum(0)
        self.caretlineFrameWidthSpinBox.setMaximum(3)
        self.caretlineFrameWidthSpinBox.setProperty("value", 0)
        self.caretlineFrameWidthSpinBox.setObjectName("caretlineFrameWidthSpinBox")
        self.horizontalLayout_6.addWidget(self.caretlineFrameWidthSpinBox)
        self.TextLabel2_2_2_2_2_3 = QtWidgets.QLabel(parent=self.caretLineGroup)
        self.TextLabel2_2_2_2_2_3.setObjectName("TextLabel2_2_2_2_2_3")
        self.horizontalLayout_6.addWidget(self.TextLabel2_2_2_2_2_3)
        self.caretlineBackgroundButton = QtWidgets.QPushButton(parent=self.caretLineGroup)
        self.caretlineBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.caretlineBackgroundButton.setText("")
        self.caretlineBackgroundButton.setObjectName("caretlineBackgroundButton")
        self.horizontalLayout_6.addWidget(self.caretlineBackgroundButton)
        spacerItem8 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem8)
        self.verticalLayout_6.addLayout(self.horizontalLayout_6)
        self.verticalLayout_9.addWidget(self.caretLineGroup)
        self.verticalLayout_13.addWidget(self.caretGroup)
        self.debuggingGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.debuggingGroup.setObjectName("debuggingGroup")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.debuggingGroup)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.TextLabel3_2_2 = QtWidgets.QLabel(parent=self.debuggingGroup)
        self.TextLabel3_2_2.setObjectName("TextLabel3_2_2")
        self.gridLayout_10.addWidget(self.TextLabel3_2_2, 1, 0, 1, 1)
        self.currentLineMarkerButton = QtWidgets.QPushButton(parent=self.debuggingGroup)
        self.currentLineMarkerButton.setMinimumSize(QtCore.QSize(100, 0))
        self.currentLineMarkerButton.setText("")
        self.currentLineMarkerButton.setObjectName("currentLineMarkerButton")
        self.gridLayout_10.addWidget(self.currentLineMarkerButton, 1, 1, 1, 1)
        self.debugMarkerBackgroundCheckBox = QtWidgets.QCheckBox(parent=self.debuggingGroup)
        self.debugMarkerBackgroundCheckBox.setObjectName("debugMarkerBackgroundCheckBox")
        self.gridLayout_10.addWidget(self.debugMarkerBackgroundCheckBox, 0, 0, 1, 4)
        self.TextLabel4_2_2 = QtWidgets.QLabel(parent=self.debuggingGroup)
        self.TextLabel4_2_2.setObjectName("TextLabel4_2_2")
        self.gridLayout_10.addWidget(self.TextLabel4_2_2, 2, 0, 1, 1)
        spacerItem9 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_10.addItem(spacerItem9, 1, 2, 1, 1)
        self.errorMarkerButton = QtWidgets.QPushButton(parent=self.debuggingGroup)
        self.errorMarkerButton.setMinimumSize(QtCore.QSize(100, 0))
        self.errorMarkerButton.setText("")
        self.errorMarkerButton.setObjectName("errorMarkerButton")
        self.gridLayout_10.addWidget(self.errorMarkerButton, 2, 1, 1, 1)
        self.verticalLayout_13.addWidget(self.debuggingGroup)
        self.bracesGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.bracesGroup.setObjectName("bracesGroup")
        self._9 = QtWidgets.QGridLayout(self.bracesGroup)
        self._9.setObjectName("_9")
        self.TextLabel1_3_2 = QtWidgets.QLabel(parent=self.bracesGroup)
        self.TextLabel1_3_2.setObjectName("TextLabel1_3_2")
        self._9.addWidget(self.TextLabel1_3_2, 1, 0, 1, 1)
        spacerItem10 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._9.addItem(spacerItem10, 1, 2, 1, 1)
        self.matchingBracesBackButton = QtWidgets.QPushButton(parent=self.bracesGroup)
        self.matchingBracesBackButton.setMinimumSize(QtCore.QSize(100, 0))
        self.matchingBracesBackButton.setText("")
        self.matchingBracesBackButton.setObjectName("matchingBracesBackButton")
        self._9.addWidget(self.matchingBracesBackButton, 2, 1, 1, 1)
        self.matchingBracesButton = QtWidgets.QPushButton(parent=self.bracesGroup)
        self.matchingBracesButton.setMinimumSize(QtCore.QSize(100, 0))
        self.matchingBracesButton.setText("")
        self.matchingBracesButton.setObjectName("matchingBracesButton")
        self._9.addWidget(self.matchingBracesButton, 1, 1, 1, 1)
        self.TextLabel2_2_2 = QtWidgets.QLabel(parent=self.bracesGroup)
        self.TextLabel2_2_2.setMinimumSize(QtCore.QSize(100, 0))
        self.TextLabel2_2_2.setObjectName("TextLabel2_2_2")
        self._9.addWidget(self.TextLabel2_2_2, 3, 0, 1, 1)
        self.nonmatchingBracesButton = QtWidgets.QPushButton(parent=self.bracesGroup)
        self.nonmatchingBracesButton.setText("")
        self.nonmatchingBracesButton.setObjectName("nonmatchingBracesButton")
        self._9.addWidget(self.nonmatchingBracesButton, 3, 1, 1, 1)
        self.TextLabel1_3_2_2 = QtWidgets.QLabel(parent=self.bracesGroup)
        self.TextLabel1_3_2_2.setObjectName("TextLabel1_3_2_2")
        self._9.addWidget(self.TextLabel1_3_2_2, 2, 0, 1, 1)
        self.TextLabel2_2_2_3 = QtWidgets.QLabel(parent=self.bracesGroup)
        self.TextLabel2_2_2_3.setMinimumSize(QtCore.QSize(100, 0))
        self.TextLabel2_2_2_3.setObjectName("TextLabel2_2_2_3")
        self._9.addWidget(self.TextLabel2_2_2_3, 4, 0, 1, 1)
        self.nonmatchingBracesBackButton = QtWidgets.QPushButton(parent=self.bracesGroup)
        self.nonmatchingBracesBackButton.setText("")
        self.nonmatchingBracesBackButton.setObjectName("nonmatchingBracesBackButton")
        self._9.addWidget(self.nonmatchingBracesBackButton, 4, 1, 1, 1)
        self.bracehighlightingCheckBox = QtWidgets.QCheckBox(parent=self.bracesGroup)
        self.bracehighlightingCheckBox.setObjectName("bracehighlightingCheckBox")
        self._9.addWidget(self.bracehighlightingCheckBox, 0, 0, 1, 3)
        self.verticalLayout_13.addWidget(self.bracesGroup)
        self.eolGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.eolGroup.setObjectName("eolGroup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.eolGroup)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.eolCheckBox = QtWidgets.QCheckBox(parent=self.eolGroup)
        self.eolCheckBox.setObjectName("eolCheckBox")
        self.verticalLayout_4.addWidget(self.eolCheckBox)
        self.wrapLongLinesGroup = QtWidgets.QGroupBox(parent=self.eolGroup)
        self.wrapLongLinesGroup.setToolTip("")
        self.wrapLongLinesGroup.setCheckable(False)
        self.wrapLongLinesGroup.setObjectName("wrapLongLinesGroup")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.wrapLongLinesGroup)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.textLabel1_15 = QtWidgets.QLabel(parent=self.wrapLongLinesGroup)
        self.textLabel1_15.setObjectName("textLabel1_15")
        self.gridLayout_7.addWidget(self.textLabel1_15, 0, 0, 1, 1)
        self.wrapModeComboBox = QtWidgets.QComboBox(parent=self.wrapLongLinesGroup)
        self.wrapModeComboBox.setObjectName("wrapModeComboBox")
        self.gridLayout_7.addWidget(self.wrapModeComboBox, 0, 1, 1, 1)
        spacerItem11 = QtWidgets.QSpacerItem(400, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_7.addItem(spacerItem11, 0, 2, 1, 2)
        self.label_5 = QtWidgets.QLabel(parent=self.wrapLongLinesGroup)
        self.label_5.setObjectName("label_5")
        self.gridLayout_7.addWidget(self.label_5, 1, 0, 1, 1)
        self.wrapVisualComboBox = QtWidgets.QComboBox(parent=self.wrapLongLinesGroup)
        self.wrapVisualComboBox.setObjectName("wrapVisualComboBox")
        self.gridLayout_7.addWidget(self.wrapVisualComboBox, 1, 1, 1, 1)
        self.label_18 = QtWidgets.QLabel(parent=self.wrapLongLinesGroup)
        self.label_18.setObjectName("label_18")
        self.gridLayout_7.addWidget(self.label_18, 2, 0, 1, 1)
        self.wrapIndentComboBox = QtWidgets.QComboBox(parent=self.wrapLongLinesGroup)
        self.wrapIndentComboBox.setObjectName("wrapIndentComboBox")
        self.gridLayout_7.addWidget(self.wrapIndentComboBox, 2, 1, 1, 1)
        self.wrapStartIndentSpinBox = QtWidgets.QSpinBox(parent=self.wrapLongLinesGroup)
        self.wrapStartIndentSpinBox.setMaximum(9)
        self.wrapStartIndentSpinBox.setObjectName("wrapStartIndentSpinBox")
        self.gridLayout_7.addWidget(self.wrapStartIndentSpinBox, 2, 2, 1, 1)
        spacerItem12 = QtWidgets.QSpacerItem(362, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_7.addItem(spacerItem12, 2, 3, 1, 1)
        self.verticalLayout_4.addWidget(self.wrapLongLinesGroup)
        self.edgeModeGroup = QtWidgets.QGroupBox(parent=self.eolGroup)
        self.edgeModeGroup.setObjectName("edgeModeGroup")
        self._13 = QtWidgets.QGridLayout(self.edgeModeGroup)
        self._13.setObjectName("_13")
        spacerItem13 = QtWidgets.QSpacerItem(211, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._13.addItem(spacerItem13, 0, 2, 1, 2)
        spacerItem14 = QtWidgets.QSpacerItem(201, 31, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._13.addItem(spacerItem14, 2, 2, 1, 2)
        self.edgeBackgroundColorButton = QtWidgets.QPushButton(parent=self.edgeModeGroup)
        self.edgeBackgroundColorButton.setMinimumSize(QtCore.QSize(100, 0))
        self.edgeBackgroundColorButton.setText("")
        self.edgeBackgroundColorButton.setObjectName("edgeBackgroundColorButton")
        self._13.addWidget(self.edgeBackgroundColorButton, 2, 1, 1, 1)
        self.TextLabel13_3_2_2 = QtWidgets.QLabel(parent=self.edgeModeGroup)
        self.TextLabel13_3_2_2.setObjectName("TextLabel13_3_2_2")
        self._13.addWidget(self.TextLabel13_3_2_2, 2, 0, 1, 1)
        self.edgeLineColumnSlider = QtWidgets.QSlider(parent=self.edgeModeGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(11)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edgeLineColumnSlider.sizePolicy().hasHeightForWidth())
        self.edgeLineColumnSlider.setSizePolicy(sizePolicy)
        self.edgeLineColumnSlider.setMinimum(0)
        self.edgeLineColumnSlider.setMaximum(160)
        self.edgeLineColumnSlider.setProperty("value", 80)
        self.edgeLineColumnSlider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.edgeLineColumnSlider.setTickInterval(10)
        self.edgeLineColumnSlider.setObjectName("edgeLineColumnSlider")
        self._13.addWidget(self.edgeLineColumnSlider, 1, 1, 1, 2)
        self.edgeLineColumnLCD = QtWidgets.QLCDNumber(parent=self.edgeModeGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Minimum)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edgeLineColumnLCD.sizePolicy().hasHeightForWidth())
        self.edgeLineColumnLCD.setSizePolicy(sizePolicy)
        self.edgeLineColumnLCD.setDigitCount(3)
        self.edgeLineColumnLCD.setSegmentStyle(QtWidgets.QLCDNumber.SegmentStyle.Flat)
        self.edgeLineColumnLCD.setProperty("value", 80.0)
        self.edgeLineColumnLCD.setObjectName("edgeLineColumnLCD")
        self._13.addWidget(self.edgeLineColumnLCD, 1, 3, 1, 1)
        self.TextLabel13_3_2 = QtWidgets.QLabel(parent=self.edgeModeGroup)
        self.TextLabel13_3_2.setObjectName("TextLabel13_3_2")
        self._13.addWidget(self.TextLabel13_3_2, 1, 0, 1, 1)
        self.textLabel1_14 = QtWidgets.QLabel(parent=self.edgeModeGroup)
        self.textLabel1_14.setObjectName("textLabel1_14")
        self._13.addWidget(self.textLabel1_14, 0, 0, 1, 1)
        self.edgeModeCombo = QtWidgets.QComboBox(parent=self.edgeModeGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edgeModeCombo.sizePolicy().hasHeightForWidth())
        self.edgeModeCombo.setSizePolicy(sizePolicy)
        self.edgeModeCombo.setObjectName("edgeModeCombo")
        self.edgeModeCombo.addItem("")
        self.edgeModeCombo.addItem("")
        self.edgeModeCombo.addItem("")
        self._13.addWidget(self.edgeModeCombo, 0, 1, 1, 1)
        self.verticalLayout_4.addWidget(self.edgeModeGroup)
        self.verticalLayout_13.addWidget(self.eolGroup)
        self.zoomGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.zoomGroup.setObjectName("zoomGroup")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.zoomGroup)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.TextLabel13_2_2_3 = QtWidgets.QLabel(parent=self.zoomGroup)
        self.TextLabel13_2_2_3.setObjectName("TextLabel13_2_2_3")
        self.horizontalLayout_2.addWidget(self.TextLabel13_2_2_3)
        self.zoomfactorSlider = QtWidgets.QSlider(parent=self.zoomGroup)
        self.zoomfactorSlider.setMinimum(-10)
        self.zoomfactorSlider.setMaximum(20)
        self.zoomfactorSlider.setProperty("value", 0)
        self.zoomfactorSlider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.zoomfactorSlider.setTickInterval(5)
        self.zoomfactorSlider.setObjectName("zoomfactorSlider")
        self.horizontalLayout_2.addWidget(self.zoomfactorSlider)
        self.zoomfactorLCD = QtWidgets.QLCDNumber(parent=self.zoomGroup)
        self.zoomfactorLCD.setDigitCount(3)
        self.zoomfactorLCD.setSegmentStyle(QtWidgets.QLCDNumber.SegmentStyle.Flat)
        self.zoomfactorLCD.setProperty("value", 0.0)
        self.zoomfactorLCD.setObjectName("zoomfactorLCD")
        self.horizontalLayout_2.addWidget(self.zoomfactorLCD)
        self.verticalLayout_13.addWidget(self.zoomGroup)
        self.annotationsGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.annotationsGroup.setObjectName("annotationsGroup")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.annotationsGroup)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.enableAnnotationsCheckBox = QtWidgets.QCheckBox(parent=self.annotationsGroup)
        self.enableAnnotationsCheckBox.setObjectName("enableAnnotationsCheckBox")
        self.gridLayout_2.addWidget(self.enableAnnotationsCheckBox, 0, 0, 1, 2)
        self.annotationsWarningGroup = QtWidgets.QGroupBox(parent=self.annotationsGroup)
        self.annotationsWarningGroup.setObjectName("annotationsWarningGroup")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.annotationsWarningGroup)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.annotationsWarningFgButton = QtWidgets.QPushButton(parent=self.annotationsWarningGroup)
        self.annotationsWarningFgButton.setObjectName("annotationsWarningFgButton")
        self.gridLayout_3.addWidget(self.annotationsWarningFgButton, 0, 0, 1, 1)
        self.annotationsWarningBgButton = QtWidgets.QPushButton(parent=self.annotationsWarningGroup)
        self.annotationsWarningBgButton.setObjectName("annotationsWarningBgButton")
        self.gridLayout_3.addWidget(self.annotationsWarningBgButton, 0, 1, 1, 1)
        self.annotationsWarningSample = QtWidgets.QLineEdit(parent=self.annotationsWarningGroup)
        self.annotationsWarningSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.annotationsWarningSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.annotationsWarningSample.setReadOnly(True)
        self.annotationsWarningSample.setObjectName("annotationsWarningSample")
        self.gridLayout_3.addWidget(self.annotationsWarningSample, 1, 0, 1, 2)
        self.gridLayout_2.addWidget(self.annotationsWarningGroup, 1, 0, 1, 1)
        self.annotationsErrorGroup = QtWidgets.QGroupBox(parent=self.annotationsGroup)
        self.annotationsErrorGroup.setObjectName("annotationsErrorGroup")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.annotationsErrorGroup)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.annotationsErrorFgButton = QtWidgets.QPushButton(parent=self.annotationsErrorGroup)
        self.annotationsErrorFgButton.setObjectName("annotationsErrorFgButton")
        self.gridLayout_4.addWidget(self.annotationsErrorFgButton, 0, 0, 1, 1)
        self.annotationsErrorBgButton = QtWidgets.QPushButton(parent=self.annotationsErrorGroup)
        self.annotationsErrorBgButton.setObjectName("annotationsErrorBgButton")
        self.gridLayout_4.addWidget(self.annotationsErrorBgButton, 0, 1, 1, 1)
        self.annotationsErrorSample = QtWidgets.QLineEdit(parent=self.annotationsErrorGroup)
        self.annotationsErrorSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.annotationsErrorSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.annotationsErrorSample.setReadOnly(True)
        self.annotationsErrorSample.setObjectName("annotationsErrorSample")
        self.gridLayout_4.addWidget(self.annotationsErrorSample, 1, 0, 1, 2)
        self.gridLayout_2.addWidget(self.annotationsErrorGroup, 1, 1, 1, 1)
        self.annotationsStyleWarningGroup = QtWidgets.QGroupBox(parent=self.annotationsGroup)
        self.annotationsStyleWarningGroup.setObjectName("annotationsStyleWarningGroup")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.annotationsStyleWarningGroup)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.annotationsStyleWarningFgButton = QtWidgets.QPushButton(parent=self.annotationsStyleWarningGroup)
        self.annotationsStyleWarningFgButton.setObjectName("annotationsStyleWarningFgButton")
        self.gridLayout_5.addWidget(self.annotationsStyleWarningFgButton, 0, 0, 1, 1)
        self.annotationsStyleWarningBgButton = QtWidgets.QPushButton(parent=self.annotationsStyleWarningGroup)
        self.annotationsStyleWarningBgButton.setObjectName("annotationsStyleWarningBgButton")
        self.gridLayout_5.addWidget(self.annotationsStyleWarningBgButton, 0, 1, 1, 1)
        self.annotationsStyleWarningSample = QtWidgets.QLineEdit(parent=self.annotationsStyleWarningGroup)
        self.annotationsStyleWarningSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.annotationsStyleWarningSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.annotationsStyleWarningSample.setReadOnly(True)
        self.annotationsStyleWarningSample.setObjectName("annotationsStyleWarningSample")
        self.gridLayout_5.addWidget(self.annotationsStyleWarningSample, 1, 0, 1, 2)
        self.gridLayout_2.addWidget(self.annotationsStyleWarningGroup, 2, 0, 1, 1)
        self.annotationsInformationGroup = QtWidgets.QGroupBox(parent=self.annotationsGroup)
        self.annotationsInformationGroup.setObjectName("annotationsInformationGroup")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.annotationsInformationGroup)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.annotationsInformationFgButton = QtWidgets.QPushButton(parent=self.annotationsInformationGroup)
        self.annotationsInformationFgButton.setObjectName("annotationsInformationFgButton")
        self.gridLayout_8.addWidget(self.annotationsInformationFgButton, 0, 0, 1, 1)
        self.annotationsInformationBgButton = QtWidgets.QPushButton(parent=self.annotationsInformationGroup)
        self.annotationsInformationBgButton.setObjectName("annotationsInformationBgButton")
        self.gridLayout_8.addWidget(self.annotationsInformationBgButton, 0, 1, 1, 1)
        self.annotationsInformationSample = QtWidgets.QLineEdit(parent=self.annotationsInformationGroup)
        self.annotationsInformationSample.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.annotationsInformationSample.setAlignment(QtCore.Qt.AlignmentFlag.AlignHCenter)
        self.annotationsInformationSample.setReadOnly(True)
        self.annotationsInformationSample.setObjectName("annotationsInformationSample")
        self.gridLayout_8.addWidget(self.annotationsInformationSample, 1, 0, 1, 2)
        self.gridLayout_2.addWidget(self.annotationsInformationGroup, 2, 1, 1, 1)
        self.verticalLayout_13.addWidget(self.annotationsGroup)
        self.changeTracingGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.changeTracingGroup.setObjectName("changeTracingGroup")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.changeTracingGroup)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.enableChangeTraceCheckBox = QtWidgets.QCheckBox(parent=self.changeTracingGroup)
        self.enableChangeTraceCheckBox.setObjectName("enableChangeTraceCheckBox")
        self.verticalLayout_3.addWidget(self.enableChangeTraceCheckBox)
        self._16 = QtWidgets.QHBoxLayout()
        self._16.setObjectName("_16")
        self.label_4 = QtWidgets.QLabel(parent=self.changeTracingGroup)
        self.label_4.setObjectName("label_4")
        self._16.addWidget(self.label_4)
        self.changeTraceTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.changeTracingGroup)
        self.changeTraceTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.changeTraceTimeoutSpinBox.setButtonSymbols(QtWidgets.QAbstractSpinBox.ButtonSymbols.PlusMinus)
        self.changeTraceTimeoutSpinBox.setCorrectionMode(QtWidgets.QAbstractSpinBox.CorrectionMode.CorrectToNearestValue)
        self.changeTraceTimeoutSpinBox.setMinimum(100)
        self.changeTraceTimeoutSpinBox.setMaximum(5000)
        self.changeTraceTimeoutSpinBox.setSingleStep(100)
        self.changeTraceTimeoutSpinBox.setObjectName("changeTraceTimeoutSpinBox")
        self._16.addWidget(self.changeTraceTimeoutSpinBox)
        spacerItem15 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._16.addItem(spacerItem15)
        self.verticalLayout_3.addLayout(self._16)
        self.gridLayout_14 = QtWidgets.QGridLayout()
        self.gridLayout_14.setObjectName("gridLayout_14")
        self.TextLabel13_3_2_3 = QtWidgets.QLabel(parent=self.changeTracingGroup)
        self.TextLabel13_3_2_3.setObjectName("TextLabel13_3_2_3")
        self.gridLayout_14.addWidget(self.TextLabel13_3_2_3, 0, 0, 1, 1)
        self.changeMarkerUnsavedColorButton = QtWidgets.QPushButton(parent=self.changeTracingGroup)
        self.changeMarkerUnsavedColorButton.setMinimumSize(QtCore.QSize(100, 0))
        self.changeMarkerUnsavedColorButton.setText("")
        self.changeMarkerUnsavedColorButton.setObjectName("changeMarkerUnsavedColorButton")
        self.gridLayout_14.addWidget(self.changeMarkerUnsavedColorButton, 0, 1, 1, 1)
        spacerItem16 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_14.addItem(spacerItem16, 0, 2, 1, 1)
        self.TextLabel13_3_2_4 = QtWidgets.QLabel(parent=self.changeTracingGroup)
        self.TextLabel13_3_2_4.setObjectName("TextLabel13_3_2_4")
        self.gridLayout_14.addWidget(self.TextLabel13_3_2_4, 1, 0, 1, 1)
        self.changeMarkerSavedColorButton = QtWidgets.QPushButton(parent=self.changeTracingGroup)
        self.changeMarkerSavedColorButton.setMinimumSize(QtCore.QSize(100, 0))
        self.changeMarkerSavedColorButton.setText("")
        self.changeMarkerSavedColorButton.setObjectName("changeMarkerSavedColorButton")
        self.gridLayout_14.addWidget(self.changeMarkerSavedColorButton, 1, 1, 1, 1)
        self.verticalLayout_3.addLayout(self.gridLayout_14)
        self.verticalLayout_13.addWidget(self.changeTracingGroup)
        self.whitespaceGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.whitespaceGroup.setObjectName("whitespaceGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.whitespaceGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.whitespaceCheckBox = QtWidgets.QCheckBox(parent=self.whitespaceGroup)
        self.whitespaceCheckBox.setObjectName("whitespaceCheckBox")
        self.verticalLayout_2.addWidget(self.whitespaceCheckBox)
        self._12 = QtWidgets.QHBoxLayout()
        self._12.setObjectName("_12")
        self.textLabel1_8 = QtWidgets.QLabel(parent=self.whitespaceGroup)
        self.textLabel1_8.setObjectName("textLabel1_8")
        self._12.addWidget(self.textLabel1_8)
        self.whitespaceSizeSpinBox = QtWidgets.QSpinBox(parent=self.whitespaceGroup)
        self.whitespaceSizeSpinBox.setMinimum(1)
        self.whitespaceSizeSpinBox.setMaximum(10)
        self.whitespaceSizeSpinBox.setObjectName("whitespaceSizeSpinBox")
        self._12.addWidget(self.whitespaceSizeSpinBox)
        spacerItem17 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._12.addItem(spacerItem17)
        self.verticalLayout_2.addLayout(self._12)
        self.gridLayout_15 = QtWidgets.QGridLayout()
        self.gridLayout_15.setObjectName("gridLayout_15")
        self.TextLabel2_2_2_2_2_9 = QtWidgets.QLabel(parent=self.whitespaceGroup)
        self.TextLabel2_2_2_2_2_9.setObjectName("TextLabel2_2_2_2_2_9")
        self.gridLayout_15.addWidget(self.TextLabel2_2_2_2_2_9, 0, 0, 1, 1)
        self.whitespaceForegroundButton = QtWidgets.QPushButton(parent=self.whitespaceGroup)
        self.whitespaceForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.whitespaceForegroundButton.setText("")
        self.whitespaceForegroundButton.setObjectName("whitespaceForegroundButton")
        self.gridLayout_15.addWidget(self.whitespaceForegroundButton, 0, 1, 1, 1)
        spacerItem18 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_15.addItem(spacerItem18, 0, 2, 1, 1)
        self.TextLabel2_2_2_2_2_10 = QtWidgets.QLabel(parent=self.whitespaceGroup)
        self.TextLabel2_2_2_2_2_10.setObjectName("TextLabel2_2_2_2_2_10")
        self.gridLayout_15.addWidget(self.TextLabel2_2_2_2_2_10, 1, 0, 1, 1)
        self.whitespaceBackgroundButton = QtWidgets.QPushButton(parent=self.whitespaceGroup)
        self.whitespaceBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.whitespaceBackgroundButton.setText("")
        self.whitespaceBackgroundButton.setObjectName("whitespaceBackgroundButton")
        self.gridLayout_15.addWidget(self.whitespaceBackgroundButton, 1, 1, 1, 1)
        self.verticalLayout_2.addLayout(self.gridLayout_15)
        self.verticalLayout_13.addWidget(self.whitespaceGroup)
        self.indentationsGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.indentationsGroup.setObjectName("indentationsGroup")
        self.gridLayout_13 = QtWidgets.QGridLayout(self.indentationsGroup)
        self.gridLayout_13.setObjectName("gridLayout_13")
        self.indentguidesCheckBox = QtWidgets.QCheckBox(parent=self.indentationsGroup)
        self.indentguidesCheckBox.setObjectName("indentguidesCheckBox")
        self.gridLayout_13.addWidget(self.indentguidesCheckBox, 0, 0, 1, 3)
        self.TextLabel2_2_2_2_2_13 = QtWidgets.QLabel(parent=self.indentationsGroup)
        self.TextLabel2_2_2_2_2_13.setObjectName("TextLabel2_2_2_2_2_13")
        self.gridLayout_13.addWidget(self.TextLabel2_2_2_2_2_13, 1, 0, 1, 1)
        self.indentationGuidesForegroundButton = QtWidgets.QPushButton(parent=self.indentationsGroup)
        self.indentationGuidesForegroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.indentationGuidesForegroundButton.setText("")
        self.indentationGuidesForegroundButton.setObjectName("indentationGuidesForegroundButton")
        self.gridLayout_13.addWidget(self.indentationGuidesForegroundButton, 1, 1, 1, 1)
        spacerItem19 = QtWidgets.QSpacerItem(223, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_13.addItem(spacerItem19, 1, 2, 1, 1)
        self.TextLabel2_2_2_2_2_14 = QtWidgets.QLabel(parent=self.indentationsGroup)
        self.TextLabel2_2_2_2_2_14.setObjectName("TextLabel2_2_2_2_2_14")
        self.gridLayout_13.addWidget(self.TextLabel2_2_2_2_2_14, 2, 0, 1, 1)
        self.indentationGuidesBackgroundButton = QtWidgets.QPushButton(parent=self.indentationsGroup)
        self.indentationGuidesBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.indentationGuidesBackgroundButton.setText("")
        self.indentationGuidesBackgroundButton.setObjectName("indentationGuidesBackgroundButton")
        self.gridLayout_13.addWidget(self.indentationGuidesBackgroundButton, 2, 1, 1, 1)
        self.verticalLayout_13.addWidget(self.indentationsGroup)
        self.markerMapGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.markerMapGroup.setObjectName("markerMapGroup")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.markerMapGroup)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.markerMapRightCheckBox = QtWidgets.QCheckBox(parent=self.markerMapGroup)
        self.markerMapRightCheckBox.setObjectName("markerMapRightCheckBox")
        self.verticalLayout_8.addWidget(self.markerMapRightCheckBox)
        self.groupBox_16 = QtWidgets.QGroupBox(parent=self.markerMapGroup)
        self.groupBox_16.setObjectName("groupBox_16")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.groupBox_16)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_6.setObjectName("label_6")
        self.gridLayout_9.addWidget(self.label_6, 0, 0, 1, 1)
        self.errorsMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.errorsMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.errorsMapButton.setText("")
        self.errorsMapButton.setObjectName("errorsMapButton")
        self.gridLayout_9.addWidget(self.errorsMapButton, 0, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_7.setObjectName("label_7")
        self.gridLayout_9.addWidget(self.label_7, 0, 2, 1, 1)
        self.warningsMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.warningsMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.warningsMapButton.setText("")
        self.warningsMapButton.setObjectName("warningsMapButton")
        self.gridLayout_9.addWidget(self.warningsMapButton, 0, 3, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_8.setObjectName("label_8")
        self.gridLayout_9.addWidget(self.label_8, 1, 0, 1, 1)
        self.bookmarksMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.bookmarksMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.bookmarksMapButton.setText("")
        self.bookmarksMapButton.setObjectName("bookmarksMapButton")
        self.gridLayout_9.addWidget(self.bookmarksMapButton, 1, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_9.setObjectName("label_9")
        self.gridLayout_9.addWidget(self.label_9, 1, 2, 1, 1)
        self.breakpointsMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.breakpointsMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.breakpointsMapButton.setText("")
        self.breakpointsMapButton.setObjectName("breakpointsMapButton")
        self.gridLayout_9.addWidget(self.breakpointsMapButton, 1, 3, 1, 1)
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_10.setObjectName("label_10")
        self.gridLayout_9.addWidget(self.label_10, 2, 0, 1, 1)
        self.tasksMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.tasksMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksMapButton.setText("")
        self.tasksMapButton.setObjectName("tasksMapButton")
        self.gridLayout_9.addWidget(self.tasksMapButton, 2, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_11.setObjectName("label_11")
        self.gridLayout_9.addWidget(self.label_11, 2, 2, 1, 1)
        self.changesMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.changesMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.changesMapButton.setText("")
        self.changesMapButton.setObjectName("changesMapButton")
        self.gridLayout_9.addWidget(self.changesMapButton, 2, 3, 1, 1)
        self.label_12 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_12.setObjectName("label_12")
        self.gridLayout_9.addWidget(self.label_12, 3, 0, 1, 1)
        self.coverageMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.coverageMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.coverageMapButton.setText("")
        self.coverageMapButton.setObjectName("coverageMapButton")
        self.gridLayout_9.addWidget(self.coverageMapButton, 3, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_13.setObjectName("label_13")
        self.gridLayout_9.addWidget(self.label_13, 3, 2, 1, 1)
        self.currentMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.currentMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.currentMapButton.setText("")
        self.currentMapButton.setObjectName("currentMapButton")
        self.gridLayout_9.addWidget(self.currentMapButton, 3, 3, 1, 1)
        self.label_15 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_15.setObjectName("label_15")
        self.gridLayout_9.addWidget(self.label_15, 4, 0, 1, 1)
        self.searchMarkerMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.searchMarkerMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.searchMarkerMapButton.setText("")
        self.searchMarkerMapButton.setObjectName("searchMarkerMapButton")
        self.gridLayout_9.addWidget(self.searchMarkerMapButton, 4, 1, 1, 1)
        self.label_16 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_16.setObjectName("label_16")
        self.gridLayout_9.addWidget(self.label_16, 4, 2, 1, 1)
        self.conflictMarkerMapButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.conflictMarkerMapButton.setMinimumSize(QtCore.QSize(100, 0))
        self.conflictMarkerMapButton.setText("")
        self.conflictMarkerMapButton.setObjectName("conflictMarkerMapButton")
        self.gridLayout_9.addWidget(self.conflictMarkerMapButton, 4, 3, 1, 1)
        self.label_14 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_14.setObjectName("label_14")
        self.gridLayout_9.addWidget(self.label_14, 5, 0, 1, 1)
        self.markerMapBackgroundButton = QtWidgets.QPushButton(parent=self.groupBox_16)
        self.markerMapBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.markerMapBackgroundButton.setText("")
        self.markerMapBackgroundButton.setObjectName("markerMapBackgroundButton")
        self.gridLayout_9.addWidget(self.markerMapBackgroundButton, 5, 1, 1, 1)
        self.verticalLayout_8.addWidget(self.groupBox_16)
        self.groupBox_17 = QtWidgets.QGroupBox(parent=self.markerMapGroup)
        self.groupBox_17.setObjectName("groupBox_17")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.groupBox_17)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.changesMarkerCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_17)
        self.changesMarkerCheckBox.setObjectName("changesMarkerCheckBox")
        self.gridLayout_11.addWidget(self.changesMarkerCheckBox, 0, 0, 1, 1)
        self.coverageMarkerCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_17)
        self.coverageMarkerCheckBox.setObjectName("coverageMarkerCheckBox")
        self.gridLayout_11.addWidget(self.coverageMarkerCheckBox, 0, 1, 1, 1)
        self.searchMarkerCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_17)
        self.searchMarkerCheckBox.setObjectName("searchMarkerCheckBox")
        self.gridLayout_11.addWidget(self.searchMarkerCheckBox, 1, 0, 1, 1)
        self.label_17 = QtWidgets.QLabel(parent=self.groupBox_17)
        self.label_17.setWordWrap(True)
        self.label_17.setObjectName("label_17")
        self.gridLayout_11.addWidget(self.label_17, 2, 0, 1, 2)
        self.verticalLayout_8.addWidget(self.groupBox_17)
        self.verticalLayout_13.addWidget(self.markerMapGroup)
        self.variousGroup = QtWidgets.QGroupBox(parent=EditorStylesPage)
        self.variousGroup.setObjectName("variousGroup")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.variousGroup)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.miniMenuCheckBox = QtWidgets.QCheckBox(parent=self.variousGroup)
        self.miniMenuCheckBox.setObjectName("miniMenuCheckBox")
        self.verticalLayout_7.addWidget(self.miniMenuCheckBox)
        self.hideFormatButtonsCheckBox = QtWidgets.QCheckBox(parent=self.variousGroup)
        self.hideFormatButtonsCheckBox.setObjectName("hideFormatButtonsCheckBox")
        self.verticalLayout_7.addWidget(self.hideFormatButtonsCheckBox)
        self.verticalLayout_13.addWidget(self.variousGroup)
        spacerItem20 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_13.addItem(spacerItem20)

        self.retranslateUi(EditorStylesPage)
        self.edgeLineColumnSlider.valueChanged['int'].connect(self.edgeLineColumnLCD.display) # type: ignore
        self.zoomfactorSlider.valueChanged['int'].connect(self.zoomfactorLCD.display) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorStylesPage)
        EditorStylesPage.setTabOrder(self.editAreaOverrideCheckBox, self.editAreaForegroundButton)
        EditorStylesPage.setTabOrder(self.editAreaForegroundButton, self.editAreaBackgroundButton)
        EditorStylesPage.setTabOrder(self.editAreaBackgroundButton, self.highlightingBackgroundButton)
        EditorStylesPage.setTabOrder(self.highlightingBackgroundButton, self.defaultFontButton)
        EditorStylesPage.setTabOrder(self.defaultFontButton, self.monospacedFontButton)
        EditorStylesPage.setTabOrder(self.monospacedFontButton, self.monospacedCheckBox)
        EditorStylesPage.setTabOrder(self.monospacedCheckBox, self.marginsForegroundButton)
        EditorStylesPage.setTabOrder(self.marginsForegroundButton, self.marginsBackgroundButton)
        EditorStylesPage.setTabOrder(self.marginsBackgroundButton, self.linenoCheckBox)
        EditorStylesPage.setTabOrder(self.linenoCheckBox, self.linenumbersFontButton)
        EditorStylesPage.setTabOrder(self.linenumbersFontButton, self.foldingCheckBox)
        EditorStylesPage.setTabOrder(self.foldingCheckBox, self.foldingStyleComboBox)
        EditorStylesPage.setTabOrder(self.foldingStyleComboBox, self.foldmarginBackgroundButton)
        EditorStylesPage.setTabOrder(self.foldmarginBackgroundButton, self.foldmarkersForegroundButton)
        EditorStylesPage.setTabOrder(self.foldmarkersForegroundButton, self.foldmarkersBackgroundButton)
        EditorStylesPage.setTabOrder(self.foldmarkersBackgroundButton, self.customSelColourCheckBox)
        EditorStylesPage.setTabOrder(self.customSelColourCheckBox, self.colourizeSelTextCheckBox)
        EditorStylesPage.setTabOrder(self.colourizeSelTextCheckBox, self.extentSelEolCheckBox)
        EditorStylesPage.setTabOrder(self.extentSelEolCheckBox, self.selectionForegroundButton)
        EditorStylesPage.setTabOrder(self.selectionForegroundButton, self.selectionBackgroundButton)
        EditorStylesPage.setTabOrder(self.selectionBackgroundButton, self.caretWidthSpinBox)
        EditorStylesPage.setTabOrder(self.caretWidthSpinBox, self.caretForegroundButton)
        EditorStylesPage.setTabOrder(self.caretForegroundButton, self.caretlineVisibleCheckBox)
        EditorStylesPage.setTabOrder(self.caretlineVisibleCheckBox, self.caretlineAlwaysVisibleCheckBox)
        EditorStylesPage.setTabOrder(self.caretlineAlwaysVisibleCheckBox, self.caretlineFrameWidthSpinBox)
        EditorStylesPage.setTabOrder(self.caretlineFrameWidthSpinBox, self.caretlineBackgroundButton)
        EditorStylesPage.setTabOrder(self.caretlineBackgroundButton, self.debugMarkerBackgroundCheckBox)
        EditorStylesPage.setTabOrder(self.debugMarkerBackgroundCheckBox, self.currentLineMarkerButton)
        EditorStylesPage.setTabOrder(self.currentLineMarkerButton, self.errorMarkerButton)
        EditorStylesPage.setTabOrder(self.errorMarkerButton, self.bracehighlightingCheckBox)
        EditorStylesPage.setTabOrder(self.bracehighlightingCheckBox, self.matchingBracesButton)
        EditorStylesPage.setTabOrder(self.matchingBracesButton, self.matchingBracesBackButton)
        EditorStylesPage.setTabOrder(self.matchingBracesBackButton, self.nonmatchingBracesButton)
        EditorStylesPage.setTabOrder(self.nonmatchingBracesButton, self.nonmatchingBracesBackButton)
        EditorStylesPage.setTabOrder(self.nonmatchingBracesBackButton, self.eolCheckBox)
        EditorStylesPage.setTabOrder(self.eolCheckBox, self.wrapModeComboBox)
        EditorStylesPage.setTabOrder(self.wrapModeComboBox, self.wrapVisualComboBox)
        EditorStylesPage.setTabOrder(self.wrapVisualComboBox, self.wrapIndentComboBox)
        EditorStylesPage.setTabOrder(self.wrapIndentComboBox, self.wrapStartIndentSpinBox)
        EditorStylesPage.setTabOrder(self.wrapStartIndentSpinBox, self.edgeModeCombo)
        EditorStylesPage.setTabOrder(self.edgeModeCombo, self.edgeLineColumnSlider)
        EditorStylesPage.setTabOrder(self.edgeLineColumnSlider, self.edgeBackgroundColorButton)
        EditorStylesPage.setTabOrder(self.edgeBackgroundColorButton, self.zoomfactorSlider)
        EditorStylesPage.setTabOrder(self.zoomfactorSlider, self.enableAnnotationsCheckBox)
        EditorStylesPage.setTabOrder(self.enableAnnotationsCheckBox, self.annotationsWarningFgButton)
        EditorStylesPage.setTabOrder(self.annotationsWarningFgButton, self.annotationsWarningBgButton)
        EditorStylesPage.setTabOrder(self.annotationsWarningBgButton, self.annotationsErrorFgButton)
        EditorStylesPage.setTabOrder(self.annotationsErrorFgButton, self.annotationsErrorBgButton)
        EditorStylesPage.setTabOrder(self.annotationsErrorBgButton, self.annotationsStyleWarningFgButton)
        EditorStylesPage.setTabOrder(self.annotationsStyleWarningFgButton, self.annotationsStyleWarningBgButton)
        EditorStylesPage.setTabOrder(self.annotationsStyleWarningBgButton, self.annotationsInformationFgButton)
        EditorStylesPage.setTabOrder(self.annotationsInformationFgButton, self.annotationsInformationBgButton)
        EditorStylesPage.setTabOrder(self.annotationsInformationBgButton, self.enableChangeTraceCheckBox)
        EditorStylesPage.setTabOrder(self.enableChangeTraceCheckBox, self.changeTraceTimeoutSpinBox)
        EditorStylesPage.setTabOrder(self.changeTraceTimeoutSpinBox, self.changeMarkerUnsavedColorButton)
        EditorStylesPage.setTabOrder(self.changeMarkerUnsavedColorButton, self.changeMarkerSavedColorButton)
        EditorStylesPage.setTabOrder(self.changeMarkerSavedColorButton, self.whitespaceCheckBox)
        EditorStylesPage.setTabOrder(self.whitespaceCheckBox, self.whitespaceSizeSpinBox)
        EditorStylesPage.setTabOrder(self.whitespaceSizeSpinBox, self.whitespaceForegroundButton)
        EditorStylesPage.setTabOrder(self.whitespaceForegroundButton, self.whitespaceBackgroundButton)
        EditorStylesPage.setTabOrder(self.whitespaceBackgroundButton, self.indentguidesCheckBox)
        EditorStylesPage.setTabOrder(self.indentguidesCheckBox, self.indentationGuidesForegroundButton)
        EditorStylesPage.setTabOrder(self.indentationGuidesForegroundButton, self.indentationGuidesBackgroundButton)
        EditorStylesPage.setTabOrder(self.indentationGuidesBackgroundButton, self.markerMapRightCheckBox)
        EditorStylesPage.setTabOrder(self.markerMapRightCheckBox, self.errorsMapButton)
        EditorStylesPage.setTabOrder(self.errorsMapButton, self.warningsMapButton)
        EditorStylesPage.setTabOrder(self.warningsMapButton, self.bookmarksMapButton)
        EditorStylesPage.setTabOrder(self.bookmarksMapButton, self.breakpointsMapButton)
        EditorStylesPage.setTabOrder(self.breakpointsMapButton, self.tasksMapButton)
        EditorStylesPage.setTabOrder(self.tasksMapButton, self.changesMapButton)
        EditorStylesPage.setTabOrder(self.changesMapButton, self.coverageMapButton)
        EditorStylesPage.setTabOrder(self.coverageMapButton, self.currentMapButton)
        EditorStylesPage.setTabOrder(self.currentMapButton, self.searchMarkerMapButton)
        EditorStylesPage.setTabOrder(self.searchMarkerMapButton, self.conflictMarkerMapButton)
        EditorStylesPage.setTabOrder(self.conflictMarkerMapButton, self.markerMapBackgroundButton)
        EditorStylesPage.setTabOrder(self.markerMapBackgroundButton, self.changesMarkerCheckBox)
        EditorStylesPage.setTabOrder(self.changesMarkerCheckBox, self.coverageMarkerCheckBox)
        EditorStylesPage.setTabOrder(self.coverageMarkerCheckBox, self.searchMarkerCheckBox)
        EditorStylesPage.setTabOrder(self.searchMarkerCheckBox, self.miniMenuCheckBox)
        EditorStylesPage.setTabOrder(self.miniMenuCheckBox, self.hideFormatButtonsCheckBox)

    def retranslateUi(self, EditorStylesPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorStylesPage", "<b>Configure editor styles</b>"))
        self.label_3.setText(_translate("EditorStylesPage", "<b>Note:</b> Fonts and colors of the syntax highlighters have to be configured on the syntax highlighter styles page."))
        self.colorsGroup.setTitle(_translate("EditorStylesPage", "Colors"))
        self.editAreaOverrideCheckBox.setToolTip(_translate("EditorStylesPage", "Select to set the color of the edit area different to the default style"))
        self.editAreaOverrideCheckBox.setTitle(_translate("EditorStylesPage", "Override edit area colors"))
        self.TextLabel2_2_2_2_2_12.setText(_translate("EditorStylesPage", "Edit area foreground:"))
        self.editAreaForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color for the edit area."))
        self.TextLabel2_2_2_2_2_11.setText(_translate("EditorStylesPage", "Edit area background:"))
        self.editAreaBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the edit area."))
        self.label_20.setText(_translate("EditorStylesPage", "Highlighting:"))
        self.highlightingBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the color for the highlighting background."))
        self.fontsGroup.setTitle(_translate("EditorStylesPage", "Fonts"))
        self.defaultFontSample.setText(_translate("EditorStylesPage", "Default Text"))
        self.defaultFontButton.setToolTip(_translate("EditorStylesPage", "Press to select the default font for the editor\'s text"))
        self.defaultFontButton.setText(_translate("EditorStylesPage", "Default Text Font"))
        self.monospacedFontButton.setToolTip(_translate("EditorStylesPage", "Press to select the font to be used as the monospaced font"))
        self.monospacedFontButton.setText(_translate("EditorStylesPage", "Monospaced Font"))
        self.monospacedFontSample.setText(_translate("EditorStylesPage", "Monospaced Text"))
        self.monospacedCheckBox.setToolTip(_translate("EditorStylesPage", "Select, whether the monospaced font should be used as default"))
        self.monospacedCheckBox.setText(_translate("EditorStylesPage", "Use monospaced as default"))
        self.marginsGroup.setTitle(_translate("EditorStylesPage", "Margins"))
        self.marginsGeneralGroup.setTitle(_translate("EditorStylesPage", "General"))
        self.TextLabel2_2_2_2_2_6.setText(_translate("EditorStylesPage", "Margins foreground:"))
        self.marginsForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color for the margins"))
        self.TextLabel2_2_2_2_2_7.setText(_translate("EditorStylesPage", "Margins background:"))
        self.marginsBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the margins"))
        self.lineNumbersGroup.setTitle(_translate("EditorStylesPage", "Line Numbers Margin"))
        self.linenoCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether line numbers margin should be shown."))
        self.linenoCheckBox.setText(_translate("EditorStylesPage", "Show Line Numbers Margin"))
        self.linenumbersFontButton.setToolTip(_translate("EditorStylesPage", "Press to select the font for the editor line numbers"))
        self.linenumbersFontButton.setText(_translate("EditorStylesPage", "Line Numbers Font"))
        self.marginsFontSample.setText(_translate("EditorStylesPage", "2345"))
        self.foldMarginGroup.setTitle(_translate("EditorStylesPage", "Fold Margin"))
        self.foldingCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether the fold margin should be shown."))
        self.foldingCheckBox.setText(_translate("EditorStylesPage", "Show Fold Margin"))
        self.TextLabel1_4_2_2.setText(_translate("EditorStylesPage", "Folding style:"))
        self.foldingStyleComboBox.setToolTip(_translate("EditorStylesPage", "Select the folding style to be used in the folding margin"))
        self.foldingStyleComboBox.setWhatsThis(_translate("EditorStylesPage", "<b>Folding style</b>\n"
"<p>Select the desired folding style to be used in the folding margin.</p>\n"
"<p>The available styles are:\n"
"<ul>\n"
"<li>Plain - simple plus and minus symbols</li>\n"
"<li>Circled - circled plus and minus symbols</li>\n"
"<li>Boxed - boxed plus and minus symbols</li>\n"
"<li>Circled Tree - circled plus and minus symbols and flattened tree with rounded corners</li>\n"
"<li>Boxed Tree - boxed plus and minus symbols and flattened tree with rectangled corners</li>\n"
"</ul>\n"
"</p>"))
        self.foldingStyleComboBox.setItemText(0, _translate("EditorStylesPage", "Plain"))
        self.foldingStyleComboBox.setItemText(1, _translate("EditorStylesPage", "Circled"))
        self.foldingStyleComboBox.setItemText(2, _translate("EditorStylesPage", "Boxed"))
        self.foldingStyleComboBox.setItemText(3, _translate("EditorStylesPage", "Circled Tree"))
        self.foldingStyleComboBox.setItemText(4, _translate("EditorStylesPage", "Boxed Tree"))
        self.foldingStyleComboBox.setItemText(5, _translate("EditorStylesPage", "Arrow"))
        self.foldingStyleComboBox.setItemText(6, _translate("EditorStylesPage", "Arrow Tree"))
        self.TextLabel2_2_2_2_2_8.setText(_translate("EditorStylesPage", "Foldmargin background:"))
        self.foldmarginBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the foldmargin"))
        self.label.setText(_translate("EditorStylesPage", "Foldmarkers foreground:"))
        self.foldmarkersForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color of the foldmarkers"))
        self.label_2.setText(_translate("EditorStylesPage", "Foldmarkers background:"))
        self.foldmarkersBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color of the foldmarkers"))
        self.selectionGroup.setTitle(_translate("EditorStylesPage", "Selection"))
        self.customSelColourCheckBox.setToolTip(_translate("EditorStylesPage", "Select to use custom selection colors"))
        self.customSelColourCheckBox.setWhatsThis(_translate("EditorStylesPage", "<b>Use custom selection colors</b><p>Select this entry in order to use custom selection colors in the editor and shell windows. The colors for the selection foreground and background are defined on the colors page.</p>"))
        self.customSelColourCheckBox.setText(_translate("EditorStylesPage", "Use custom selection colors"))
        self.colourizeSelTextCheckBox.setToolTip(_translate("EditorStylesPage", "Select, if selected text should be colorized by the lexer."))
        self.colourizeSelTextCheckBox.setText(_translate("EditorStylesPage", "Colorize selected text"))
        self.extentSelEolCheckBox.setToolTip(_translate("EditorStylesPage", "Select to extend selection to end of line"))
        self.extentSelEolCheckBox.setText(_translate("EditorStylesPage", "Extend selection to end of line"))
        self.TextLabel2_2_2_2_2_4.setText(_translate("EditorStylesPage", "Selection foreground:"))
        self.selectionForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color for the selection."))
        self.TextLabel2_2_2_2_2_5.setText(_translate("EditorStylesPage", "Selection background:"))
        self.selectionBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the selection."))
        self.caretGroup.setTitle(_translate("EditorStylesPage", "Caret"))
        self.caretGeneralGroup.setTitle(_translate("EditorStylesPage", "Caret"))
        self.textLabel1_7.setText(_translate("EditorStylesPage", "Width:"))
        self.caretWidthSpinBox.setToolTip(_translate("EditorStylesPage", "Select caret width (1, 2 or 3 pixels)"))
        self.TextLabel2_2_2_2_2_2.setText(_translate("EditorStylesPage", "Foreground:"))
        self.caretForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the color for the caret."))
        self.caretLineGroup.setTitle(_translate("EditorStylesPage", "Caret Line"))
        self.caretlineVisibleCheckBox.setToolTip(_translate("EditorStylesPage", "Select, whether the caret line should be highlighted"))
        self.caretlineVisibleCheckBox.setText(_translate("EditorStylesPage", "Caret line visible"))
        self.caretlineAlwaysVisibleCheckBox.setToolTip(_translate("EditorStylesPage", "Select, whether the caret line should be highlighted even if the editor doesn\'t have the focus"))
        self.caretlineAlwaysVisibleCheckBox.setText(_translate("EditorStylesPage", "Caret line always visible"))
        self.label_19.setText(_translate("EditorStylesPage", "Frame Width:"))
        self.caretlineFrameWidthSpinBox.setToolTip(_translate("EditorStylesPage", "Select caret line frame width (off, 1, 2 or 3 pixels)"))
        self.caretlineFrameWidthSpinBox.setSpecialValueText(_translate("EditorStylesPage", "Off"))
        self.TextLabel2_2_2_2_2_3.setText(_translate("EditorStylesPage", "Background:"))
        self.caretlineBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the line containing the caret."))
        self.debuggingGroup.setTitle(_translate("EditorStylesPage", "Debugging Line Markers"))
        self.TextLabel3_2_2.setText(_translate("EditorStylesPage", "Current line marker:"))
        self.currentLineMarkerButton.setToolTip(_translate("EditorStylesPage", "Select the color for the current line marker."))
        self.debugMarkerBackgroundCheckBox.setToolTip(_translate("EditorStylesPage", "Select to indicate the debug markers using colored line backgrounds, arrow indicators otherwise"))
        self.debugMarkerBackgroundCheckBox.setText(_translate("EditorStylesPage", "Use background colors"))
        self.TextLabel4_2_2.setText(_translate("EditorStylesPage", "Error line marker:"))
        self.errorMarkerButton.setToolTip(_translate("EditorStylesPage", "Select the color for the error line marker."))
        self.bracesGroup.setTitle(_translate("EditorStylesPage", "Braces"))
        self.TextLabel1_3_2.setText(_translate("EditorStylesPage", "Matched braces:"))
        self.matchingBracesBackButton.setToolTip(_translate("EditorStylesPage", "Select the background color for highlighting matching braces."))
        self.matchingBracesButton.setToolTip(_translate("EditorStylesPage", "Select the color for highlighting matching braces."))
        self.TextLabel2_2_2.setText(_translate("EditorStylesPage", "Unmatched brace:"))
        self.nonmatchingBracesButton.setToolTip(_translate("EditorStylesPage", "Select the color for  highlighting nonmatching braces."))
        self.TextLabel1_3_2_2.setText(_translate("EditorStylesPage", "Matched braces background:"))
        self.TextLabel2_2_2_3.setText(_translate("EditorStylesPage", "Unmatched brace background:"))
        self.nonmatchingBracesBackButton.setToolTip(_translate("EditorStylesPage", "Select the background color for  highlighting nonmatching braces."))
        self.bracehighlightingCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether matching and bad braces shall be highlighted."))
        self.bracehighlightingCheckBox.setText(_translate("EditorStylesPage", "Highlight braces"))
        self.eolGroup.setTitle(_translate("EditorStylesPage", "End of Line"))
        self.eolCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether end of line shall be shown"))
        self.eolCheckBox.setText(_translate("EditorStylesPage", "Show End of Line"))
        self.wrapLongLinesGroup.setTitle(_translate("EditorStylesPage", "Wrap long lines"))
        self.textLabel1_15.setText(_translate("EditorStylesPage", "Mode:"))
        self.wrapModeComboBox.setToolTip(_translate("EditorStylesPage", "Select the wrap mode for long lines"))
        self.label_5.setText(_translate("EditorStylesPage", "Indication:"))
        self.wrapVisualComboBox.setToolTip(_translate("EditorStylesPage", "Select, how wrapped lines are indicated"))
        self.label_18.setText(_translate("EditorStylesPage", "Indentation:"))
        self.wrapIndentComboBox.setToolTip(_translate("EditorStylesPage", "Select, how wrapped lines are indented"))
        self.wrapStartIndentSpinBox.setToolTip(_translate("EditorStylesPage", "Enter the number of characters to indent (only used for \'Fixed\')"))
        self.wrapStartIndentSpinBox.setSuffix(_translate("EditorStylesPage", " characters"))
        self.edgeModeGroup.setTitle(_translate("EditorStylesPage", "Edge Mode"))
        self.edgeBackgroundColorButton.setToolTip(_translate("EditorStylesPage", "Select the color for the edge marker."))
        self.TextLabel13_3_2_2.setText(_translate("EditorStylesPage", "Background color:"))
        self.edgeLineColumnSlider.setToolTip(_translate("EditorStylesPage", "Move to set the edge column."))
        self.edgeLineColumnLCD.setToolTip(_translate("EditorStylesPage", "Displays the selected tab width."))
        self.TextLabel13_3_2.setText(_translate("EditorStylesPage", "Column number:"))
        self.textLabel1_14.setText(_translate("EditorStylesPage", "Mode:"))
        self.edgeModeCombo.setItemText(0, _translate("EditorStylesPage", "Disabled"))
        self.edgeModeCombo.setItemText(1, _translate("EditorStylesPage", "Draw Line"))
        self.edgeModeCombo.setItemText(2, _translate("EditorStylesPage", "Change Background Color"))
        self.zoomGroup.setTitle(_translate("EditorStylesPage", "Zoom"))
        self.TextLabel13_2_2_3.setText(_translate("EditorStylesPage", "Initial zoom factor:"))
        self.zoomfactorSlider.setToolTip(_translate("EditorStylesPage", "Move to set the initial zoom factor"))
        self.zoomfactorLCD.setToolTip(_translate("EditorStylesPage", "Displays the selected initial zoom factor"))
        self.annotationsGroup.setTitle(_translate("EditorStylesPage", "Annotations"))
        self.enableAnnotationsCheckBox.setStatusTip(_translate("EditorStylesPage", "Select to enable the display of annotations"))
        self.enableAnnotationsCheckBox.setText(_translate("EditorStylesPage", "Show annotations"))
        self.annotationsWarningGroup.setTitle(_translate("EditorStylesPage", "Warnings"))
        self.annotationsWarningFgButton.setToolTip(_translate("EditorStylesPage", "Press to select the foreground color"))
        self.annotationsWarningFgButton.setText(_translate("EditorStylesPage", "Foreground"))
        self.annotationsWarningBgButton.setToolTip(_translate("EditorStylesPage", "Press to select the background color"))
        self.annotationsWarningBgButton.setText(_translate("EditorStylesPage", "Background"))
        self.annotationsWarningSample.setText(_translate("EditorStylesPage", "Warning: There might be an issue."))
        self.annotationsErrorGroup.setTitle(_translate("EditorStylesPage", "Errors"))
        self.annotationsErrorFgButton.setToolTip(_translate("EditorStylesPage", "Press to select the foreground color"))
        self.annotationsErrorFgButton.setText(_translate("EditorStylesPage", "Foreground"))
        self.annotationsErrorBgButton.setToolTip(_translate("EditorStylesPage", "Press to select the background color"))
        self.annotationsErrorBgButton.setText(_translate("EditorStylesPage", "Background"))
        self.annotationsErrorSample.setText(_translate("EditorStylesPage", "Error: There is an issue."))
        self.annotationsStyleWarningGroup.setTitle(_translate("EditorStylesPage", "Style"))
        self.annotationsStyleWarningFgButton.setToolTip(_translate("EditorStylesPage", "Press to select the foreground color"))
        self.annotationsStyleWarningFgButton.setText(_translate("EditorStylesPage", "Foreground"))
        self.annotationsStyleWarningBgButton.setToolTip(_translate("EditorStylesPage", "Press to select the background color"))
        self.annotationsStyleWarningBgButton.setText(_translate("EditorStylesPage", "Background"))
        self.annotationsStyleWarningSample.setText(_translate("EditorStylesPage", "Style: There is a style issue."))
        self.annotationsInformationGroup.setTitle(_translate("EditorStylesPage", "Information"))
        self.annotationsInformationFgButton.setToolTip(_translate("EditorStylesPage", "Press to select the foreground color"))
        self.annotationsInformationFgButton.setText(_translate("EditorStylesPage", "Foreground"))
        self.annotationsInformationBgButton.setToolTip(_translate("EditorStylesPage", "Press to select the background color"))
        self.annotationsInformationBgButton.setText(_translate("EditorStylesPage", "Background"))
        self.annotationsInformationSample.setText(_translate("EditorStylesPage", "Info: There is an information."))
        self.changeTracingGroup.setTitle(_translate("EditorStylesPage", "Change Tracing"))
        self.enableChangeTraceCheckBox.setToolTip(_translate("EditorStylesPage", "Select to mark changed lines"))
        self.enableChangeTraceCheckBox.setText(_translate("EditorStylesPage", "Mark changed lines"))
        self.label_4.setText(_translate("EditorStylesPage", "Timeout for marking changed lines:"))
        self.changeTraceTimeoutSpinBox.setToolTip(_translate("EditorStylesPage", "Enter the time in milliseconds after which changed lines will be marked"))
        self.changeTraceTimeoutSpinBox.setSuffix(_translate("EditorStylesPage", " ms"))
        self.TextLabel13_3_2_3.setText(_translate("EditorStylesPage", "Unsaved changes color:"))
        self.changeMarkerUnsavedColorButton.setToolTip(_translate("EditorStylesPage", "Select the color for the change marker for unsaved changes."))
        self.TextLabel13_3_2_4.setText(_translate("EditorStylesPage", "Saved changes color:"))
        self.changeMarkerSavedColorButton.setToolTip(_translate("EditorStylesPage", "Select the color for the change marker for saved changes."))
        self.whitespaceGroup.setTitle(_translate("EditorStylesPage", "Whitespace"))
        self.whitespaceCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether whitspace characters shall be shown"))
        self.whitespaceCheckBox.setText(_translate("EditorStylesPage", "Show Whitespace"))
        self.textLabel1_8.setText(_translate("EditorStylesPage", "Whitespace size:"))
        self.whitespaceSizeSpinBox.setToolTip(_translate("EditorStylesPage", "Select the size of the dots used to represent visible whitespace"))
        self.TextLabel2_2_2_2_2_9.setText(_translate("EditorStylesPage", "Whitespace foreground:"))
        self.whitespaceForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color for visible whitespace"))
        self.TextLabel2_2_2_2_2_10.setText(_translate("EditorStylesPage", "Whitespace background:"))
        self.whitespaceBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for visible whitespace"))
        self.indentationsGroup.setTitle(_translate("EditorStylesPage", "Indentation Guides"))
        self.indentguidesCheckBox.setToolTip(_translate("EditorStylesPage", "Select whether indentation guides should be shown."))
        self.indentguidesCheckBox.setText(_translate("EditorStylesPage", "Show Indentation Guides"))
        self.TextLabel2_2_2_2_2_13.setText(_translate("EditorStylesPage", "Indentation Guides foreground:"))
        self.indentationGuidesForegroundButton.setToolTip(_translate("EditorStylesPage", "Select the foreground color for indentation guides"))
        self.TextLabel2_2_2_2_2_14.setText(_translate("EditorStylesPage", "Indentation Guides background:"))
        self.indentationGuidesBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for indentation guides"))
        self.markerMapGroup.setTitle(_translate("EditorStylesPage", "Marker Map"))
        self.markerMapRightCheckBox.setToolTip(_translate("EditorStylesPage", "Select to show the marker map right of the editor"))
        self.markerMapRightCheckBox.setWhatsThis(_translate("EditorStylesPage", "<b>Show Marker Map Right of the Editor</b>\n"
"<p>If this entry is selected (default), the marker map is show on the right side of the editor. If it is unselected, it is shown on the left side right before the margins.</p>"))
        self.markerMapRightCheckBox.setText(_translate("EditorStylesPage", "Show Marker Map Right of the Editor"))
        self.groupBox_16.setTitle(_translate("EditorStylesPage", "Marker Colors"))
        self.label_6.setText(_translate("EditorStylesPage", "Errors:"))
        self.errorsMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for error markers"))
        self.label_7.setText(_translate("EditorStylesPage", "Warnings:"))
        self.warningsMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for warning markers"))
        self.label_8.setText(_translate("EditorStylesPage", "Bookmarks:"))
        self.bookmarksMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for bookmark markers"))
        self.label_9.setText(_translate("EditorStylesPage", "Breakpoints:"))
        self.breakpointsMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for breakpoint markers"))
        self.label_10.setText(_translate("EditorStylesPage", "Tasks:"))
        self.tasksMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for task markers"))
        self.label_11.setText(_translate("EditorStylesPage", "Changes:"))
        self.changesMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for change markers"))
        self.label_12.setText(_translate("EditorStylesPage", "Coverage:"))
        self.coverageMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for coverage markers"))
        self.label_13.setText(_translate("EditorStylesPage", "Current Line:"))
        self.currentMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for the current line marker"))
        self.label_15.setText(_translate("EditorStylesPage", "Search Markers:"))
        self.searchMarkerMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for the search marker"))
        self.label_16.setText(_translate("EditorStylesPage", "Conflict Marker Line:"))
        self.conflictMarkerMapButton.setToolTip(_translate("EditorStylesPage", "Select the color for the conflict marker line marker"))
        self.label_14.setText(_translate("EditorStylesPage", "Background:"))
        self.markerMapBackgroundButton.setToolTip(_translate("EditorStylesPage", "Select the background color for the marker map"))
        self.groupBox_17.setTitle(_translate("EditorStylesPage", "Shown Markers"))
        self.changesMarkerCheckBox.setToolTip(_translate("EditorStylesPage", "Select to show change markers"))
        self.changesMarkerCheckBox.setText(_translate("EditorStylesPage", "Changes"))
        self.coverageMarkerCheckBox.setToolTip(_translate("EditorStylesPage", "Select to show coverage markers"))
        self.coverageMarkerCheckBox.setText(_translate("EditorStylesPage", "Coverage"))
        self.searchMarkerCheckBox.setToolTip(_translate("EditorStylesPage", "Select to show search markers"))
        self.searchMarkerCheckBox.setText(_translate("EditorStylesPage", "Search Markers"))
        self.label_17.setText(_translate("EditorStylesPage", "<b>Note</b>: Marker types not listed are always shown."))
        self.variousGroup.setTitle(_translate("EditorStylesPage", "Various"))
        self.miniMenuCheckBox.setToolTip(_translate("EditorStylesPage", "Select to show a minimalistic context menu"))
        self.miniMenuCheckBox.setText(_translate("EditorStylesPage", "Show minimal context menu"))
        self.hideFormatButtonsCheckBox.setToolTip(_translate("EditorStylesPage", "Select to hide the Format Buttons bar when formatting is not supported"))
        self.hideFormatButtonsCheckBox.setText(_translate("EditorStylesPage", "Hide Format Buttons bar when not supported"))
